Subject: Re: bug#18083: 24.4.50; (emacs) Arguments and (elisp) Prefix Command Arguments

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2016 08:33:44 +0300

> Date: Fri, 29 Apr 2016 16:01:41 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Both of these nodes speak of `M--', `M-3', etc.  They should also
> > > mention the equivalent `C--', `C-3', etc.
> > 
> > I wonder whether the reason they aren't mentioned is that they're
> > deprecated or something?  Anybody know?
> 
> No, they are not deprecated.  Presumably they are not mentioned
> because they are not available in some Emacs terminal sessions.
> 
> That doesn't mean we shouldn't mention them - we should just
> point out that they might not be available in some contexts.

FWIW, I know about them, but never use them.  So I'm not sure we
should mention them in the manual.

> They are particularly handy if you are using prefix args
> a lot or repetitively, as they use the same modifier as `C-u'.
> And they are somewhat easier for some people to type on some
> (common) keyboards.

I'm probably missing something because I don't see how both of the
above is not true about M-3 etc.